# Код для тестирования белым\черным ящиками

Варианта №7. В одномерном динамическом массиве, состоящем из n элементов, поменять местами максимальный и минимальный элементы.

## Начало работы

Эти инструкции предоставят вам копию проекта и помогут запустить на вашем локальном компьютере для разработки и тестирования.
Код оформлен по стандартом языка C#. 
```
        /// <summary>
        /// Заполеннеие массива рандомными числами от -100 до 99
        /// </summary>
        /// <param name="countElementsArray">Количесво элементова в массиве</param>
        /// <returns>Заполненный массив</returns>
        static private int[] FillingArray(int countElementsArray)
        {
            int[] array = new int[countElementsArray];
            Random rnd = new Random();
            for (int i = 0; i < countElementsArray; i++)
            {
                array[i] = rnd.Next(-100, 100);
            }
            return array;
        }
```

### Необходимые условия

* Необходимо иметь доступ к интернету во время клонирования репозитория;
* Необходимо устаносить программу, которая способна работать с данными типами файлов, напиример, VisualStudio.

### Установка

**Что нужно для установки программного обеспечения и как его установить:**
1. Для того, чтобы установить программу необходимо скопировать нижнюю или верхнюю ссылку данного репозитория. 
![инструкия по ссылке] (http://gogs.ngknn.ru:3000/Dasulik/TestingStrategy/raw/master/image/Instruction1.png)
2. Далее необходимо открыть компилятор и клониировать данное приложение.   
![инструкия по клонированию] (http://gogs.ngknn.ru:3000/Dasulik/TestingStrategy/raw/master/image/Instruction2.PNG)
3. В открывшемся окне вы вставляете ссылку данного репозитория и прописываете путь, куда необходимо сохранить программу, на ваше усмотрение.
4. После всего указанного вам необходжимо запустить .sln файл и запустить программу

![инструкия по запуску] (http://gogs.ngknn.ru:3000/Dasulik/TestingStrategy/raw/master/image/Instruction3.png)

![инструкия по запуску] (http://gogs.ngknn.ru:3000/Dasulik/TestingStrategy/raw/master/image/Instruction4.png)
   
   ☆★☆★☆ *Теперь вводите любое число и радуйтесь найденным элементам* ★☆★☆★

![инструкия по работе] (http://gogs.ngknn.ru:3000/Dasulik/TestingStrategy/raw/master/image/job.PNG)

## Авторы

**Dasulik** - *Testing strategy* - [TestingStrategy](http://gogs.ngknn.ru:3000/Dasulik/TestingStrategy)

See also my other works
- [ ] [DiaryReader](http://gogs.ngknn.ru:3000/Dasulik/DiaryReader)
- [ ] [smartLab](http://gogs.ngknn.ru:3000/Dasulik/smartLab)